DCMTK Version 3.7.0 OFFIS DICOM Toolkit

Public Member Functions | Private Attributes | List of all members
FGCTGeometry::FGCTGeometryItem Class Reference

Class representing the "CT Geometry" Functional Group Macro item. More...

## Public Member Functions
| FGCTGeometryItem ()
| Constructor, creates empty functional group.
virtual | ~FGCTGeometryItem ()
| Virtual destructor.
virtual FGCTGeometryItem * | clone () const
| Returns a deep copy of this object. More...
virtual void | clearData ()
| Clear all data.
virtual OFCondition | check () const
| Check whether the current content of this group is consistent and complete. More...
virtual OFCondition | read (DcmItem &item)
| Read CT Geometry Sequence from given item. More...
virtual OFCondition | write (DcmItem &item)
| Writes the content of this class into given item. More...
virtual int | compare (const FGCTGeometryItem &rhs) const
| Comparison operator that compares the normalized value of this object with a given object of the same type, i.e. the elements within both functional groups (this and rhs parameter) are compared by value! Both objects (this and rhs) need to have the same type (i.e. both FGUnknown) to be comparable. More...
virtual OFCondition | getReferencedPathIndex (OFString &value, const signed long pos=0)
| Get Referenced Path Index. More...
virtual OFCondition | getReferencedPathIndex (OFVector< Uint16 > &values)
| Get Referenced Path Index. More...
virtual OFCondition | getDistanceSourceToDetector (OFString &value, const signed long pos=0)
| Get Distance Source to Detector. More...
virtual OFCondition | getDistanceSourceToDetector (Float64 &value, const unsigned long pos=0)
| Get Distance Source to Detector. More...
virtual OFCondition | getDistanceSourceToDataCollectionCenter (OFString &value, const signed long pos=0)
| Get Distance Source to Data Collection Center. More...
virtual OFCondition | getDistanceSourceToDataCollectionCenter (OFVector< Float64 > &values)
| Get Distance Source to Data Collection Center. More...
virtual OFCondition | setReferencedPathIndex (const OFVector< Uint16 > &values, const OFBool checkValue=OFTrue)
| Set Referenced Path Index. More...
virtual OFCondition | setDistanceSourceToDetector (const Float64 value, const OFBool checkValue=OFTrue)
| Set Distance Source To Detector. More...
virtual OFCondition | setDistanceSourceToDataCollectionCenter (const Float64 value, const OFBool checkValue=OFTrue)
| Set Distance Source To Data Collection Center. More...

## Private Attributes
DcmUnsignedShort | m_ReferencedPathIndex
| Referenced Index Path (US, VM 1-n, Required type 1C)
DcmDecimalString | m_DistanceSourceToDetector
| Distance Source To Detector (DS, 1, 1C)
DcmFloatingPointDouble | m_DistanceSourceToDataCollectionCenter
| Distance Source to Data Collection Center.

## Detailed Description

Class representing the "CT Geometry" Functional Group Macro item.

## Member Function Documentation

## ◆ check()

virtual OFCondition FGCTGeometry::FGCTGeometryItem::check | ( |  | ) | const
| virtual

Check whether the current content of this group is consistent and complete.

Returns
  EC_Normal, if no errors are found, error otherwise

## ◆ clone()

virtual FGCTGeometryItem* FGCTGeometry::FGCTGeometryItem::clone | ( |  | ) | const
| virtual

Returns a deep copy of this object.

Returns
  Deep copy of this object

## ◆ compare()

virtual int FGCTGeometry::FGCTGeometryItem::compare | ( | const FGCTGeometryItem & | rhs | ) | const
| virtual

Comparison operator that compares the normalized value of this object with a given object of the same type, i.e. the elements within both functional groups (this and rhs parameter) are compared by value! Both objects (this and rhs) need to have the same type (i.e. both FGUnknown) to be comparable.

This function is used in order to decide whether a functional group already exists, or is new. This is used in particular to find out whether a given functional group can be shared (i.e. the same information already exists as shared functional group) or is different from the same shared group. In that case the shared functional group must be distributed into per-frame functional groups, instead. The exact implementation for implementing the comparison is not relevant. However, it must be a comparison by value.

Parameters

  rhs | the right hand side of the comparison

Returns
  0 if the object values are equal. -1 if either the value of the first component that does not match is lower in the this object, or all compared components match but this component is shorter. Also returned if this type and rhs type (DcmFGTypes::E_FGType) do not match. 1 if either the value of the first component that does not match is greater in this object, or all compared components match but this component is longer.

## ◆ getDistanceSourceToDataCollectionCenter() [1/2]

virtual OFCondition FGCTGeometry::FGCTGeometryItem::getDistanceSourceToDataCollectionCenter | ( | OFString & | value,
|  | const signed long | pos = `0`
| ) |  |
| virtual

Get Distance Source to Data Collection Center.

Parameters

  value | Reference to variable that should hold the result
  pos | Index of the value to get (0..vm-1), -1 for all components

Returns
  EC_Normal, if value could be returned, error otherwise

## ◆ getDistanceSourceToDataCollectionCenter() [2/2]

virtual OFCondition FGCTGeometry::FGCTGeometryItem::getDistanceSourceToDataCollectionCenter | ( | OFVector< Float64 > & | values | ) |
| virtual

Get Distance Source to Data Collection Center.

Parameters

  values | Reference to variable that should hold the result

Returns
  EC_Normal, if value could be returned, error otherwise

## ◆ getDistanceSourceToDetector() [1/2]

virtual OFCondition FGCTGeometry::FGCTGeometryItem::getDistanceSourceToDetector | ( | Float64 & | value,
|  | const unsigned long | pos = `0`
| ) |  |
| virtual

Get Distance Source to Detector.

Parameters

  value | Reference to variable that should hold the result
  pos | Index of the value to get (0..vm-1), -1 for all components

Returns
  EC_Normal, if value could be returned, error otherwise

## ◆ getDistanceSourceToDetector() [2/2]

virtual OFCondition FGCTGeometry::FGCTGeometryItem::getDistanceSourceToDetector | ( | OFString & | value,
|  | const signed long | pos = `0`
| ) |  |
| virtual

Get Distance Source to Detector.

Parameters

  value | Reference to variable that should hold the result
  pos | Index of the value to get (0..vm-1), -1 for all components

Returns
  EC_Normal, if value could be returned, error otherwise

## ◆ getReferencedPathIndex() [1/2]

virtual OFCondition FGCTGeometry::FGCTGeometryItem::getReferencedPathIndex | ( | OFString & | value,
|  | const signed long | pos = `0`
| ) |  |
| virtual

Get Referenced Path Index.

Parameters

  value | Reference to variable that should hold the result
  pos | Index of the value to get (0..vm-1), -1 for all components

Returns
  EC_Normal, if value could be returned, error otherwise

## ◆ getReferencedPathIndex() [2/2]

virtual OFCondition FGCTGeometry::FGCTGeometryItem::getReferencedPathIndex | ( | OFVector< Uint16 > & | values | ) |
| virtual

Get Referenced Path Index.

Parameters

  values | Reference to variable that should hold the result

Returns
  EC_Normal, if value could be returned, error otherwise

## ◆ read()

virtual OFCondition FGCTGeometry::FGCTGeometryItem::read | ( | DcmItem & | item | ) |
| virtual

Read CT Geometry Sequence from given item.

Parameters

  item | The item to read from

Returns
  EC_Normal if reading was successful, error otherwise

## ◆ setDistanceSourceToDataCollectionCenter()

virtual OFCondition FGCTGeometry::FGCTGeometryItem::setDistanceSourceToDataCollectionCenter | ( | const Float64 | value,
|  | const OFBool | checkValue = `OFTrue`
| ) |  |
| virtual

Set Distance Source To Data Collection Center.

Parameters

  value | Value that should be set
  checkValue | If OFTrue, basic checks are performed whether the value is valid for this attribute

Returns
  EC_Normal, if value was set, error otherwise

## ◆ setDistanceSourceToDetector()

virtual OFCondition FGCTGeometry::FGCTGeometryItem::setDistanceSourceToDetector | ( | const Float64 | value,
|  | const OFBool | checkValue = `OFTrue`
| ) |  |
| virtual

Set Distance Source To Detector.

Parameters

  value | Value that should be set
  checkValue | If OFTrue, basic checks are performed whether the value is valid for this attribute

Returns
  EC_Normal, if value was set, error otherwise

## ◆ setReferencedPathIndex()

virtual OFCondition FGCTGeometry::FGCTGeometryItem::setReferencedPathIndex | ( | const OFVector< Uint16 > & | values,
|  | const OFBool | checkValue = `OFTrue`
| ) |  |
| virtual

Set Referenced Path Index.

Parameters

  values | Value that should be set
  checkValue | If OFTrue, basic checks are performed whether the value is valid for this attribute

Returns
  EC_Normal, if value was set, error otherwise

## ◆ write()

virtual OFCondition FGCTGeometry::FGCTGeometryItem::write | ( | DcmItem & | item | ) |
| virtual

Writes the content of this class into given item.

Parameters

  item | The item to write to

Returns
  EC_Normal if writing was successful, error otherwise

The documentation for this class was generated from the following file:

- dcmfg/include/dcmtk/dcmfg/fgctgeometry.h

Generated on Mon Dec 15 2025 for DCMTK Version 3.7.0 by Doxygen 1.9.1